<?php
if (! isset($key)):
    $key = 0;
endif;
?>
<div class="clone-row<?php echo (isset($firstRow) && $firstRow) ? ' disabled-row' : ''; ?>">
    <fieldset class="collapsable-fieldset open">
        <legend><?php echo $this->InflectorExt->camelToHumanize($type); ?></legend>
        <div>

            <div class="row">
                <div class="col-xs-12">
                    <div class="legacy-fieldset">


                        <?php
                            echo $this->Form->addField(
                                $blockName . '.' . $key . '.id',
                                array(
                                    'type' => 'hidden',
                                    'class' => 'block-id',
                                    'disabled' => (isset($firstRow) && $firstRow) ? true : false
                                )
                            );

                            $deleteLink = '<a href="" class="delete-item btn btn-sm btn-danger delete-block pull-right text-center"><i class="fa fa-times"></i> Delete Block</a>';
                            echo '<div class="row"><div class="row">';
                            echo $this->Form->addField(
                                $blockName . '.' . $key . '.name',
                                array(
                                    'type' => 'string',
                                    'label' => array(
                                        'text' => 'Name',
                                        'class' => 'col-xs-12 col-sm-2 col-md-3 control-label'
                                    ),
                                    'div' => false,
                                    'wrapInput' => 'col-xs-12 col-sm-8 col-md-7',
                                    'after' => $deleteLink,
                                    'displayInfo' => 'Will default to main if left blank',
                                    'disabled' => (isset($firstRow) && $firstRow) ? true : false
                                )
                            );
                            echo '</div></div>';

                            echo '<div class="row"><div class="form-group">';
                            echo $this->Form->addField(
                                $blockName . '.' . $key . '.slots',
                                array(
                                    'type' => 'float',
                                    'label' => array(
                                        'text' => 'Slots',
                                        'class' => 'col-xs-12 col-sm-2 col-md-3 control-label'
                                    ),
                                    'div' => false,
                                    'min' => -1,
                                    'wrapInput' => 'col-xs-12 col-sm-10 col-md-9',
                                    'disabled' => (isset($firstRow) && $firstRow) ? true : false
                                )
                            );
                            echo '</div></div>';

                            echo '<div class="row"><div class="form-group">';
                            echo $this->Form->addField(
                                $blockName . '.' . $key . '.blockFields',
                                array(
                                    'type' => 'multicheck',
                                    'label' => 'Select Fields',
                                    'div' => false,
                                    'wrapInput' => 'col-xs-12 col-sm-10 col-md-9',
                                    'options' => $attachmentBlockFields[$blockName],
                                    'disabled' => (isset($firstRow) && $firstRow) ? true : false
                                )
                            );
                            echo '</div></div>';


                            // Image dimension fields
                            if ($type == 'image'):
                                echo '<div class="row"><div class="form-group">';
                                    echo $this->Form->addField(
                                        $blockName . '.' . $key . '.image_width',
                                        array(
                                            'label' => array(
                                                'text' => 'Recommended Image Width',
                                                'class' => 'col-xs-12 col-sm-2 col-md-3 control-label'
                                            ),
                                            'div' => false,
                                            'type' => 'float',
                                            'min' => -1,
                                            'wrapInput' => 'col-xs-12 col-sm-10 col-md-9',
                                            'disabled' => (isset($firstRow) && $firstRow) ? true : false
                                        )
                                    );
                                echo '</div></div>';


                                echo '<div class="row"><div class="form-group">';
                                    echo $this->Form->addField(
                                        $blockName . '.' . $key . '.image_height',
                                        array(
                                            'label' => array(
                                                'text' => 'Recommended Image Height',
                                                'class' => 'col-xs-12 col-sm-2 col-md-3 control-label'
                                            ),
                                            'div' => false,
                                            'type' => 'float',
                                            'min' => -1,
                                            'wrapInput' => 'col-xs-12 col-sm-10 col-md-9',
                                            'disabled' => (isset($firstRow) && $firstRow) ? true : false,
                                            'displayInfo' => 'Optional. Displays recommended image dimensions to clients.'
                                        )
                                    );
                                echo '</div></div>';
                            endif;


                            echo '<div class="row"><div class="form-group">';
                            // manual hidden field so we can added protect-value
                            echo $this->Form->addField(
                                $blockName . '.' . $key . '.is_active',
                                array(
                                    'type' => 'hidden',
                                    'value' => 0,
                                    'wrapInput' => 'col-xs-12 col-sm-10 col-md-9',
                                    'class' => 'protect-value',
                                    'id' => '_' . $blockName . '0IsActive',
                                    'disabled' => (isset($firstRow) && $firstRow) ? true : false
                                )
                            );
                            echo $this->Form->addField(
                                $blockName . '.' . $key . '.is_active',
                                array(
                                    'type' => 'boolean',
                                    'wrapInput' => 'col-xs-12 col-sm-10 col-md-9',
                                    'class' => 'protect-value',
                                    'hiddenField' => false, // turn off so we can manually add one with protect-value class
                                    'disabled' => (isset($firstRow) && $firstRow) ? true : false
                                )
                            );
                            echo '</div>';
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </fieldset>

</div>
